CORESCHED(1)

NUME
coresched - gestionează cookie-urile de planificare a nucleului pentru sarcini

REZUMAT

coresched [get] [-s pid]

coresched new [-t tip] -d pid

coresched new [-t tip] -- comanda [argument...]

coresched copy [-s pid] [-t tip] -d pid

coresched copy [-s pid] [-t tip] -- comanda [argument...]

DESCRIERE

Comanda coresched este utilizată pentru a prelua sau a modifica cookie-urile de planificare a nucleului unui proces în desfășurare, având în vedere pid-ul acestuia, sau pentru a crea o nouă comandă cu cookie-rile de planificare a nucleului.

Planificarea nucleului permite definirea grupurilor de sarcini care pot împărți un nucleu fizic. Acest lucru se realizează prin atribuirea unui cookie fiecărei sarcini. Numai sarcinile care au același cookie pot fi programate pe același nucleu fizic.

Este posibil fie să se atribuie un nou cookie aleatoriu unei sarcini, fie să se copieze un cookie de la o altă sarcină. Nu este posibil să se aleagă valoarea cookie-ului.

FUNCȚII

get
    Preia cookie-ul de planificare de bază al PID specificat în -s. Dacă -s este omis, se va obține cookie-ul procesului coresched curent.

new
    Atribuie un cookie nou unui PID existent specificat în -d sau execută comanda cu un cookie nou.

copy
    Copiază cookie-ul de la un PID existent (-s) la un alt PID (-d) sau execută _ comanda_ cu acel cookie. Dacă -s este omisă, se va obține cookie-ul procesului curent coresched.

Dacă nu este specificată nicio funcție, se va executa funcția get.

OPȚIUNI

-s, --source PID
    De la care PID să se obțină cookie-ul. Dacă această opțiune este omisă, cookie-ul va fi obținut de la procesul curent coresched.

-d, --dest PID
    Care PID să modifice cookie-ul.

-t, --dest-type TIP
    Tipul de PID al cărui cookie va fi modificat. Acesta poate avea una dintre următoarele trei valori:

        • pid, sau ID-ul procesului

        • tgid, sau ID-ul grupului de fire (valoarea implicită)

        • pgid, sau ID-ul grupului de procese

-v, --verbose
    Afișează informații suplimentare la modificarea cookie-urilor de sarcini.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

EXEMPLE

Obține cookie-ul de planificare a nucleului al sarcinii coresched în sine, de obicei moștenit de la părintele său:
    coresched get

Obține cookie-ul de planificare a nucleului pentru o sarcină cu PID 123:
    coresched get -s 123

Acordă unei sarcini cu PID 123 un nou cookie: de planificare a nucleului
    coresched new -d 123

Generează o nouă sarcină cu un nou cookie de planificare a nucleului:
    coresched new -- comanda [argument...]

Copiază cookie-ul din procesul {comand} curent într-o altă sarcină cu pid-ul 456:
    coresched copy -d 456

Copiază cookie-ul de la o sarcină cu pid-ul 123 la o altă sarcină cu pid-ul 456:
    coresched copy -s 123 -d 456

Copiază cookie-ul de la o sarcină cu pid-ul 123 la o nouă sarcină comanda:
    coresched copy -s 123 -- comanda [argument...]

Copiază cookie-ul de la o sarcină cu pid-ul 123 la ID-ul grupului de procese 456:
    coresched copy -s 123 -t pgid -d 456

PERMISIUNI

Preluarea sau modificarea cookie-ului de planificare a nucleului al unui proces necesită accesul PTRACE_MODE_READ_REALCREDS ptrace la procesul respectiv. Pentru mai multe informații, consultați secțiunea „Ptrace access mode checking” (Verificarea modului de acces al Ptrace) din ptrace(2).

STARE DE IEȘIRE

În caz de succes, coresched returnează 0. Dacă coresched eșuează, va afișa o eroare și va returna 1.

Dacă se execută o comandă, valoarea returnată de coresched va fi valoarea returnată de comandă.

NOTE

coresched necesită suport pentru planificarea nucleului în nucleul Linux. Aceasta poate fi activată prin opțiunea de configurare a nucleului CONFIG_SCHED_CORE.

AUTORI

DREPTURI DE AUTOR

Drepturi de autor © 2024 Thijs Raymakers și Phil Auld. Acesta este un software liber sub licența EUPL.

CONSULTAȚI ȘI

chrt(1), nice(1), renice(1), taskset(1), ptrace(2), sched(7)

Fișierele sursă ale nucleului Linux Documentation/admin-guide/hw-vuln/core-scheduling.rst

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda coresched face parte din pachetul util-linux care poate fi descărcat de la